org.faceless.pdf2

## Enum OutputProfiler.RenderingIntent

- java.lang.Object
- - java.lang.Enum<OutputProfiler.RenderingIntent>
  - - org.faceless.pdf2.OutputProfiler.RenderingIntent

- All Implemented Interfaces:
    Serializable, Comparable<OutputProfiler.RenderingIntent>
  Enclosing class:
    OutputProfiler

      public static enum OutputProfiler.RenderingIntent
      extends Enum<OutputProfiler.RenderingIntent>

  RenderingIntent constants are passed in to the `OutputProfiler.ProcessColorAction.setRenderingIntent(org.faceless.pdf2.OutputProfiler.RenderingIntent)` method

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Absolute` Constant which represents the Absolute rendering intent
    `Perceptual` Constant which represents the Perceptual rendering intent
    `Relative` Constant which represents the Relative rendering intent
    `Saturation` Constant which represents the Saturation rendering intent

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static OutputProfiler.RenderingIntent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OutputProfiler.RenderingIntent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Perceptual

          public static final OutputProfiler.RenderingIntent Perceptual

      Constant which represents the Perceptual rendering intent

    - #### Saturation

          public static final OutputProfiler.RenderingIntent Saturation

      Constant which represents the Saturation rendering intent

    - #### Relative

          public static final OutputProfiler.RenderingIntent Relative

      Constant which represents the Relative rendering intent

    - #### Absolute

          public static final OutputProfiler.RenderingIntent Absolute

      Constant which represents the Absolute rendering intent

  - ### Method Detail

    - #### values

          public static OutputProfiler.RenderingIntent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutputProfiler.RenderingIntent c : OutputProfiler.RenderingIntent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OutputProfiler.RenderingIntent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<OutputProfiler.RenderingIntent>`

Copyright © 2001-2015 Big Faceless Organization